import request from '@/utils/httpRequest'

export default class ReimbursementService {
  list (param) {
    return request({
      url: '/reimbursement/info/list',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: '/reimbursement/info/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: '/reimbursement/info/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (id) {
    return request({
      url: '/reimbursement/info/remove',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (param) {
    return request({
      url: '/reimbursement/info/updateStatusById',
      method: 'post',
      data: param
    })
  }
  checkNumber (number) {
    return request({
      url: '/reimbursement/info/checkNumber',
      method: 'get',
      params: {number: number}
    })
  }
  userTree (name) {
    return request({
      url: '/reimbursement/info/userTree',
      method: 'get',
      params: {name: name}
    })
  }
  exportFile (params) {
    return request({
      url: '/reimbursement/info/exportFile',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
}
